=== debian/changelog ===
rawkit (0.6.0-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008
  * Upload to unstable (Closes: #867802)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 30 Dec 2017 16:59:44 +0000
