=== debian/control ===
Source: rawkit
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10~), dh-python,
               pypy,
               pypy-setuptools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://rawkit.readthedocs.org

Package: python-rawkit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.

Package: python3-rawkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.

Package: pypy-rawkit
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends},
Recommends: ${pypy:Recommends}
Suggests: ${pypy:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.
