=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rawkit
%:
	dh $@ --with pypy,python2,python3 --buildsystem=pybuild
